Bug 1490089 - [downstream clone - 4.1.7] 03_06_0620_create_fence_agents_table.sql:60: ERROR: null value in column "agent_user" violates not-null constraint
Summary: [downstream clone - 4.1.7] 03_06_0620_create_fence_agents_table.sql:60: ERROR...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.6.10
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.7
: ---
Assignee: Douglas Schilling Landgraf
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On: 1488630 1490090
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-10 06:11 UTC by Oved Ourfali
Modified: 2021-06-10 13:01 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-4.1.7.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1488630
Environment:
Last Closed: 2017-11-07 17:27:54 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3178621 0 None None None 2017-09-12 08:47:37 UTC
Red Hat Product Errata RHEA-2017:3138 0 normal SHIPPED_LIVE Red Hat Virtualization Manager (ovirt-engine) 4.1.7 2017-11-07 22:22:33 UTC
oVirt gerrit 81480 0 ovirt-engine-3.6 MERGED db: make sure values for fence_agents table are not null 2020-06-25 08:30:58 UTC
oVirt gerrit 81584 0 None ABANDONED db: make sure values for fence_agents table are not null 2020-06-25 08:30:58 UTC
oVirt gerrit 81585 0 ovirt-engine-4.1 MERGED db: make sure values for fence_agents table are not null 2020-06-25 08:30:58 UTC

Comment 2 Jiri Belka 2017-10-06 15:34:30 UTC
ok, no issue found during update

ovirt-engine-4.1.6.2-0.1.el7.noarch -> 4.1.7.1-0.1.el7.noarch

it probably does not make much sense on 4.1 as we can't have empty username|password anymore for fence agents.

Comment 4 errata-xmlrpc 2017-11-07 17:27:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3138


Note You need to log in before you can comment on or make changes to this bug.